Uploaded image for project: 'Maven'
  1. Maven
  2. MNG-6512

Checking possibility to require Java 11 to run Maven

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: 3.7.0-candidate
    • Component/s: None
    • Labels:
      None

      Description

      Based on Maven Core - verify code and plugins how they work with classes compiled for only Java 11+.

      MNG-3699 Require Java 8 - now works fine and pass all tests, also in MNG-6481 we verified that Maven can be compiled and pass ITs with Java 11.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                slachiewicz Sylwester Lachiewicz
                Reporter:
                slachiewicz Sylwester Lachiewicz
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated: